<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :contentNotFound="contentNotFound"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
    </template>
    <template slot="content">
      <v-row>
        <v-col class="text-center pa-0" sm="6" md="12" lg="12" xl="6" cols="12">
          <template v-if="loadingContent">
            <v-skeleton-loader type="image" />
          </template>
          <template v-else>
            <dona :data="data" />
          </template>
        </v-col>
        <v-col
          class="pa-0"
          :class="{ 'd-flex align-center': !loadingContent }"
          sm="6"
          md="12"
          lg="12"
          xl="6"
          cols="12"
        >
          <template v-if="loadingContent">
            <v-skeleton-loader class="mt-3" type="article" />
          </template>
          <template v-else>
            <v-row class="mb-1" justify="center">
              <v-col
                sm="12"
                md="12"
                lg="12"
                xl="12"
                cols="12"
                class="pb-0 text-center "
              >
                <strong class="text-h6 font-weight-black">{{
                  data.leyeda
                }}</strong>
              </v-col>
              <template v-for="(item, index) in data.values">
                <v-col
                  class="pt-0 pb-0"
                  :key="index"
                  sm="12"
                  md="12"
                  lg="12"
                  xl="12"
                  cols="12"
                >
                  <div>
                    <v-card
                      :color="item.color"
                      height="25"
                      width="35"
                      tile
                      class="color mr-2"
                    />
                    <strong class="text-h5 font-weight-black">{{
                      item.value
                    }}</strong>

                    <strong class="text-h6 font-weight-black">
                      ({{ item.porcentaje }}%)</strong
                    >
                  </div>
                </v-col>
              </template>
            </v-row>
          </template>
        </v-col>
      </v-row>
    </template>
  </d-card>
</template>
<style scoped>
.color {
  display: inline-block;
}
</style>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
import Dona from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/nativas/PieChart.vue";
export default {
  name: "Component-NivelCumplimiento",
  components: {
    "d-card": CardChart,
    Dona,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          total: 0,
          color: null,
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType: "table-thead",
    };
  },
};
</script>
